#define		DIMX			( 2 )
#define		DIMUC			( 3 )

#define		tsim0			( 0.0 )
#define		tf				( 1.0 )
#define		ht				( 0.01 )
#define		alpha			( 0.5 )
#define		zeta			( 100.0 )
#define		hdir			( 0.002 )
#define		rtol			( 1.0e-6 )

#define		kmax			( 2 )
#define		dv				( 10 )

/* Global Var. */
#define		dimeq			( dv * DIMUC )
#define		onemhdir		( 1 - hdir / ht )
#define		hdirbht			( hdir / ht )
#define		onemzetahdir	( 1 - zeta * hdir )

double x0[DIMX] = {2.0, 0.0};
double u0[DIMUC] = {0.01, 0.02, 0.03};

int		initflag = 0;		/* tO */

/* Global Arrays */
double	htau;
double	ts;
double	tauf;
double	*tau;		/* = defvector(dv+1) 				*/
double	**xtau;		/* = defmatrix(dv+1, (int)DIMX);	*/
double	**xtau1;	/* = defmatrix(dv+1, (int)DIMX);	*/
double	**ltau;		/* = defmatrix(dv+1, (int)DIMX);	*/
double	**utau;		/* = defmatrix(dv, (int)DIMUC);		*/
double	**utau1;	/* = defmatrix(dv, (int)DIMUC);		*/
double	**hutau;	/* = defmatrix(dv, (int)DIMUC);		*/
double	**hutau1;	/* = defmatrix(dv, (int)DIMUC);		*/
double	**hutau2;	/* = defmatrix(dv, (int)DIMUC);		*/
double	*x1s;		/* = defvector(DIMX);				*/
double	*bvec;		/* = defvector(dimeq);				*/
double	*duvec;		/* = defvector(dimeq);				*/
double	*dutmp;		/* = defvector(dimeq);				*/
double	*errvec;	/* = defvector(kmax+1);				*/
double	*lmd0;		/* = defvector( DIMX );				*/
double	*hu0;		/* = defvector( DIMUC );			*/

